"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = remove;
/**
 * Remove specified field both from uiSchema and schema
 *
 * @param fields
 * @param schema
 * @param uiSchema
 * @returns {{schema: *, uiSchema: *}}
 */
function remove(_ref, schema, uiSchema) {
  var fields = _ref.fields;

  fields.forEach(function (field) {
    var requiredIndex = schema.required ? schema.required.indexOf(field) : -1;
    if (requiredIndex !== -1) {
      schema.required.splice(requiredIndex);
    }
    delete schema.properties[field];
    delete uiSchema[field];
  });
}