"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.listAllActions = listAllActions;
exports.listInvalidActions = listInvalidActions;
exports.default = validate;

var _utils = require("../utils");

function listAllActions(rules) {
  var allActions = rules.map(function (_ref) {
    var type = _ref.event.type;
    return type;
  });
  return new Set(allActions);
}

function listInvalidActions(rules, actions) {
  var ruleActions = listAllActions(rules);
  Object.keys(actions).forEach(function (a) {
    return ruleActions.delete(a);
  });
  return Array.from(ruleActions);
}

function validate(rules, actions) {
  var invalidActions = listInvalidActions(rules, actions);
  if (invalidActions.length !== 0) {
    (0, _utils.toError)("Rule contains invalid action \"" + invalidActions + "\"");
  }
}